<template>
    <div class="homeBox">
        <div class="threeMap" :class="{ 'secondMapFlag': setMenuFlag != false }">
            <jw-chat></jw-chat>
        </div>
        <div class="secondMap">
            <map-view></map-view>
        </div>

    </div>
</template>

<script>
import mapViewer from '../../assets/js/map/mapView';
import jwChat from '../chart/index.vue';
import mapView from '../mapView/index.vue'
import store  from '../../store';
export default {
    name: 'homePage',
    components: {
        jwChat,
        mapView
    },
    data() {
        return {
            setMenuFlag: false
        }
    },
    computed: {
        Obj() {
            return store.state.setMenuFlag
        }

    },
    watch: {
        Obj(newVal, oldVal) {
            console.log(oldVal)
            console.log(newVal)
            this.setMenuFlag = newVal;
        }
    },

    methods: {

    },
    mounted() {
        mapViewer.initMap();
    }
}
</script>

<style scoped  >
.homeBox {
    width: 100%;
    height: 100%;

    display: flex;

}

.homeBox .threeMap {
    width: 30%;
    height: 100%;
    transition: width 1s;
}

.homeBox .secondMapFlag {
    width: 0px;
    transition: width 1s;
}

.homeBox .secondMap {
    flex: 1;


}
</style>